* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

body {
    background-color: #000;
    height: 100vh;
}

html {
    scroll-behavior: smooth;
}

.flex {
    display: flex;
}

.btn_contato button {
    padding: 10px 40px;
    font-size: 18px;
    font-weight: 600;
    background-color: #00FF08;
    border: 0;
    border-radius: 30px;
    cursor: pointer;
    transition: .2s;
    margin-right: -250px;
}

button:hover,
form .btn_enviar input:hover {
    box-shadow: 0px 0px 8px #00ff08;
    transform: scale(1.05);
}

h2.titulo {
    color: #fff;
    font-size: 38px;
    text-align: center;
    text-transform: uppercase;
}

h2.titulo span {
    color: #00FF08;
}

/*           HEADER         */

.interface {
    max-width: 1280px;
    margin: 0 auto;
}

header {
    padding: 40px 4%;
}

header>.interface {
    display: flex;
    align-items: center;
    justify-content: space-between;
}


.logo {
    font-size: 28px;
    font-weight: 700;
    color: #00FF08;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 4px;
}

header a {
    text-decoration: none;
    color: #5c5c5c;
    display: inline-block;
    transition: .2s;
}

header a:hover {
    color: #fff;
    transform: scale(1.05);
}

header nav ul {
    list-style-type: none;
}

header nav ul li {
    display: inline-block;
    padding: 0 30px;
    letter-spacing: 2px;
}


button:hover {
    box-shadow: 0px 0px 8px #00ff08;
    transform: scale(1.05);
}

/*           HEADER         */



/*           TOPO DO SITE         */


section.topo_do_site {
    padding: 40px 4%;
}

section.topo_do_site .flex {
    align-items: center;
    justify-content: center;
    gap: 90px;
}

.topo_do_site h1 {
    color: #fff;
    font-size: 42px;
    line-height: 40px
}

.topo_do_site .txt_topo_site h1 span {
    color: #00FF08;
}

.topo_do_site .txt_topo_site p {
    color: #fff;
    margin: 40px 0;
}

.topo_do_site .img_topo_site img {
    position: relative;
    animation: flutuar 2s ease-in-out infinite alternate;
}

@keyframes flutuar {
    0% {
        top: 0;
    }

    100% {
        top: 30px;
    }
}

/*           TOPO DO SITE         */




/*       ESPECIALIDADES        */

section.especialidades {
    padding: 40px 4%;
}

section.especialidades .flex {
    gap: 60px;
}

.especialidades .especialidades_box {
    color: #fff;
    padding: 40px;
    border-radius: 20px;
    margin-top: 45px;
    transition: .2s;
}

.especialidades .especialidades_box:hover {
    transform: scale(1.05);
    box-shadow: 0 0 20px #ffffff78;
}

.especialidades .especialidades_box i {
    font-size: 70px;
    color: #00FF08;
}

.especialidades .especialidades_box h3 {
    font-size: 28px;
    margin: 15px 0;
}

/*       ESPECIALIDADES        */



/*          SOBRE          */

section.sobre {
    padding: 40px 4%;
}

section.sobre .flex {
    align-items: center;
    gap: 60px;
}

.sobre .txt_sobre {
    color: #fff;
}

.sobre .txt_sobre h2 {
    font-size: 40px;
    text-transform: uppercase;
    line-height: 40px;
    margin-bottom: 30px;
}

.sobre .txt_sobre h2 span {
    color: #00FF08;
    display: block;
}

.sobre .txt_sobre p {
    margin: 20px 0;
    text-align: justify;
}

.btn_social button {
    width: 60px;
    height: 60px;
    border-radius: 50px;
    border: none;
    background-color: #00FF08;
    font-size: 25px;
    cursor: pointer;
    margin: 0 8px;
    transition: .2s;
}

/*          SOBRE          */



/*          PORTFOLIO          */

section.portfolio {
    padding: 80px 4%;
    box-shadow: 0 0 40px 10px #ffffff1d;
}

section.portfolio .flex {
    justify-content: space-around;
    margin-top: 60px;
}

.img_port {
    width: 360px;
    height: 460px;
    background-size: cover;
    background-position: 100% 0;
    transition: 8s;
    cursor: pointer;
    border-radius: 40px;
    position: relative;
}

.img_port:hover {
    background-position: 100% 100%;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #0000009f;
    border-radius: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 24px;
    font-weight: 600;
    color: #fff;
    opacity: 0;
    transition: .5s;
}

.overlay:hover {
    opacity: 1;
}


/*          PORTIFOLIO          */


/*          FORMULARIO          */

section.formulario {
    padding: 80px 4%;
}

form {
    max-width: 500px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 10px;
    margin-top: 40px;
}

form input,
form textarea {
    width: 100%;
    background-color: #242424;
    border: 0;
    outline: 0;
    padding: 20px 15px;
    border-radius: 10px;
    color: #fff;
    font-size: 15px;
}

form .campo {
    padding-left: 25px;
}

form textarea {
    resize: none;
    max-height: 200px;
}

form .btn_enviar {
    margin-top: 20px;
    text-align: center;
}


form .btn_enviar input {
    padding: 10px 40px;
    font-size: 18px;
    font-weight: 600;
    background-color: #00FF08;
    border: 0;
    border-radius: 30px;
    cursor: pointer;
    transition: .2s;
    color: #000;
    max-width: 150px;
    text-transform: uppercase;
}

/*          FORMULARIO          */



/*          FOOTER          */

footer {
    padding: 60px 4%;
    box-shadow: 0 0 40px 10px #ffffff1d;
}

footer .flex {
    justify-content: space-between;
}

.borda {
    border-top: 2x solid #00FF08;
}

footer .line_footer {
    padding: 20px 0;
}

.borda {
    border-top: 2px solid #00FF08;
}

footer .line_footer p i {
    color: #00FF08;
    font-size: 22px;
}

footer .line_footer .a {
    color: #fff;
}

.menu_mobile{
    display: none;
}

/*      RESPONSIVIDADE      */

@media screen and (max-width: 1020px) {

    /*      CLASSES GERAIS      */
    .flex {
        flex-direction: column-reverse;
    }

    h2.titulo{
        font-size: 20;
        line-height: 34px;
    }

    /*      HEADER      */
    .menu_desktop,
    .btn_contato {
        display: none;
    }

    header a {
        color: #5c5c5c;
        text-decoration: none;
        display: inline-block;
        transition: .2s;
    }

    header nav.menu_desktop a:hover{
        color: #fff;
        transform: scale(1.05);
    }

    header nav ul {
        list-style-type: none;
    }

    header nav.menu_desktop ul li{
        display: inline-block;
        padding: 0 40px;
    }

    /*      TOPO DO SITE      */
    section.topo_do_site .flex {
        gap: 40px;
    }

    section.topo_do_site {
        padding: 20px 8%;
    }

    .topo_do_site h1 {
        color: #fff;
        font-size: 30px;
    }

    .topo_do_site .img_topo_site img {
        width: 100%;
    }

    /* ESPECIALIDADES */
    section.especialidades{
        padding: 40px 8%;
    }

    /* SOBRE */
    section.sobre{
        padding: 80px 8%;
    }

    .sobre .txt_sobre h2{
        font-size: 34px;
        line-height: 35px;
        text-align: center;
    }

    .btn_social{
        text-align: center;
    }

    .img_sobre img{
        width: 100%;
    }

    /* PORTFÓLIO */
    section.portfolio{
        padding: 80px 8%;
    }

    .img_port{
        width: 100%;
        max-width: 360px;
        margin: 0 auto;
    }

    section.portfolio .flex{
        gap: 60px;
    }

    /* RODAPÉ */
    footer .flex{
        flex-direction: column;
        gap: 25px;
    }

    footer .line_footer{
        text-align: center;
    }

    
    /* ESTILO MOBILE  */
    .btn_abrir_menu i{
        color: #00FF08;
        font-size: 40px;
    }

    .menu_mobile{
        background-color: #000;
        height: 100vh;
        position: fixed;
        top: 0;
        right: 0;
        z-index: 99999;
        width: 0%;
        overflow: hidden;
        transition: .2s;
        display: block;
    }

    .menu_mobile.abrir_menu{
        width: 70%;
    }

    .menu_mobile.abrir_menu ~ .overlay_menu{
        display: block;
    }

    .menu_mobile .btn_fechar{
        padding: 20px 5%;
    }

    .menu_mobile .btn_fechar i{
        color: #00FF08;
        font-size: 30px;
    }

    .menu_mobile nav ul{
        text-align: right;
        display: flex;
        flex-direction: column;
        width: 100%;
    }

    .menu_mobile nav ul li {
        width: 100%;
        display: block;
    }

    .menu_mobile nav ul li a{
        color: #fff;
        font-size: 18px;
        font-weight: 300;
        padding: 20px 8%;
        display: block;
        width: 100%;
    }

    .menu_mobile nav ul li a:hover{
        background-color: #00FF08;
        color: #000;
    }

    .overlay_menu{
        background-color: #000000aa;
        width: 100%;
        height: 100%;
        position: fixed;
        top: 0;
        left: 0;
        z-index: 88888;
        display: none;
    }

}